#
# spec file for package perl-Audio-Wav
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Audio-Wav
Version:        0.14
Release:        1.1
#Upstream: CHECK(GPL-1.0+ or Artistic-1.0)
%define cpan_name Audio-Wav
Summary:        Modules for reading & writing Microsoft WAV files
License:        GPL-1.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Audio-Wav/
Source0:        http://www.cpan.org/authors/id/B/BR/BRIANSKI/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
These modules provide a method of reading & writing uncompressed Microsoft
WAV files.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes COPYRIGHT LICENSE README test_tone.wav TODO

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.14
  see /usr/share/doc/packages/perl-Audio-Wav/Changes
  0.14  Sun Apr 27 00:50:07 EDT 2014
  - bugfix for https://rt.cpan.org/Public/Bug/Display.html?id=94951,
    thanks to Haruka Kataoka
  0.13  Fri Mar 30 21:17:18 GMT 2012
  - read: don't call close() at DESTROY time when the file handle
    creationfailed during new() (Murali Ramanathan)
    https://rt.cpan.org/Ticket/Display.html?id=71462
  - apply patch to allow read/write of files from handle (Dan Church)
    https://rt.cpan.org/Ticket/Display.html?id=71715
  - fix problem with $^X under mod_perl (thanks, mario and david!)
    https://rt.cpan.org/Ticket/Display.html?id=62060
  - fix bug in perldoc (Sergei Steshenko)
    https://rt.cpan.org/Ticket/Display.html?id=57114
  - fix problem with writing 24,32 bps files reported by Sergei Steshenko:
    http://rt.cpan.org/Public/Bug/Display.html?id=57093
  - spelling fixes from debian
    http://rt.cpan.org/Public/Bug/Display.html?id=69644
* Sat Jun 19 2010 Tuukka Pasanen <rpms@ilmi.fi - 0.12-1
- Upgraded to latest version
* Mon May 12 2008 Tuukka Pasanen <rpms@ilmi.fi> - 0.06-1
- Initial release. Copied from home:driesverachtert (There weren't
  all the SuSE packages I need!)
